#!/usr/bin/python
import sys
import logging
import codecs
from xml.dom import minidom

class XmlRepresentation(object):
    _doc = None

    def __init__(self, filename):
        self._doc = minidom.parse(filename)

    """
     Task 1, part A: Complete this method. You are likely to consult the Python
     xml.dom documentation when working on this task.

     You can suppose that the input document is always valid, i.e. its
     structure fulfills the criteria specified in the comments inside the
     document company.xml.

     Returns the average salary of all employees working in this division or -1
     if there is no person to calculate the salary from

     division_id -- to calculate the average salary of all employees
        in the division divisionId which must be neither
        null nor empty (the method need not check it)
    """
    def average_salary_at_division(self, division_id):
        return -1

    """
     Task 1, part B: Complete this method. The method changes the position of
     an existing person identified by an person ID (pid).
     If such a person does not exist, the method does nothing.

     pid -- pid of the person to add the note to this person. pid must not be
        null nor empty (the method does not check it)
     position -- the new position of the person with the given pid
    """
    def change_position(self, pid, position):
        pass

    def serialize_to_xml(self, filename):
        outputfile = codecs.open(filename, "wb", "utf-8")
        self._doc.writexml(outputfile, encoding="utf-8")

def task1():
    if len(sys.argv) != 3:
        logging.error("You have to enter input and output file")
        sys.exit(1)

    inputfilename = sys.argv[1]
    outputfilename = sys.argv[2]

    xml = XmlRepresentation(inputfilename)
    print "Average salary in production_zlin is %d" % \
        (xml.average_salary_at_division("production_zlin"))
    print "Average salary in production_brno is %d" % \
        (xml.average_salary_at_division("development_brno"))

    xml.change_position("1", "extra_position_for_1")
    xml.serialize_to_xml(outputfilename)

if __name__ == "__main__":
    task1()
